package com.diagbot.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 住院病历信息
 * </p>
 *
 * @author zhoutg
 * @time: 2024-04-13
 */
@TableName("med_behospital_info")
@Data
public class BehospitalInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 病人住院ID
     */
    @TableId(value = "behospital_code", type = IdType.INPUT)
    private String behospitalCode;

    /**
     * 医院ID
     */
    private Long hospitalId;

    /**
     * 姓名
     */
    private String name;

    /**
     * 性别（男，女）
     */
    private String sex;

    /**
     * 出生日期
     */
    private Date birthday;

    /**
     * 档案号
     */
    private String fileCode;

    /**
     * 质控类型
     */
    private Long qcTypeId;

    /**
     * 病区编码
     */
    private String wardCode;

    /**
     * 病区名称
     */
    private String wardName;

    /**
     * 住院科室ID
     */
    private String behDeptId;

    /**
     * 住院科室名称
     */
    private String behDeptName;

    /**
     * 床位号
     */
    private String bedCode;

    /**
     * 床位名称
     */
    private String bedName;

    /**
     * 医保类别
     */
    private String insuranceName;

    /**
     * 职业
     */
    private String jobType;

    /**
     * 入院时间
     */
    private Date behospitalDate;

    /**
     * 出院时间
     */
    private Date leaveHospitalDate;

    /**
     * 疾病ICD编码
     */
    private String diagnoseIcd;

    /**
     * 疾病名称
     */
    private String diagnose;

    /**
     * 住院医生ID
     */
    private String behDoctorId;

    /**
     * 住院医生姓名
     */
    private String behDoctorName;

    /**
     * 主治医生ID
     */
    private String doctorId;

    /**
     * 主治医生姓名
     */
    private String doctorName;

    /**
     * 主任医生ID
     */
    private String directorDoctorId;

    /**
     * 主任医生姓名
     */
    private String directorDoctorName;

    /**
     * 是否归档（0：未归档，1：已归档）
     */
    private String isPlacefile;

    /**
     * 归档时间
     */
    private Date placefileDate;

    /**
     * 审核状态（1-待审核 2-已通过 3-已驳回 4-未申诉 5-已申诉）
     */
    private String status;

    /**
     * 是否删除,N:未删除，Y:删除
     */
    private String isDeleted;

    /**
     * 记录创建时间
     */
    private Date gmtCreate;

    /**
     * 记录修改时间,如果时间是1970年则表示纪录未修改
     */
    private Date gmtModified;

    /**
     * 创建人，0表示无创建人值
     */
    private String creator;

    /**
     * 修改人,如果为0则表示纪录未修改
     */
    private String modifier;

    public String getBehospitalCode() {
        return behospitalCode;
    }

    public void setBehospitalCode(String behospitalCode) {
        this.behospitalCode = behospitalCode;
    }

    public Long getHospitalId() {
        return hospitalId;
    }

    public void setHospitalId(Long hospitalId) {
        this.hospitalId = hospitalId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getSex() {
        return sex;
    }

    public void setSex(String sex) {
        this.sex = sex;
    }

    public Date getBirthday() {
        return birthday;
    }

    public void setBirthday(Date birthday) {
        this.birthday = birthday;
    }

    public String getFileCode() {
        return fileCode;
    }

    public void setFileCode(String fileCode) {
        this.fileCode = fileCode;
    }

    public Long getQcTypeId() {
        return qcTypeId;
    }

    public void setQcTypeId(Long qcTypeId) {
        this.qcTypeId = qcTypeId;
    }

    public String getWardCode() {
        return wardCode;
    }

    public void setWardCode(String wardCode) {
        this.wardCode = wardCode;
    }

    public String getWardName() {
        return wardName;
    }

    public void setWardName(String wardName) {
        this.wardName = wardName;
    }

    public String getBehDeptId() {
        return behDeptId;
    }

    public void setBehDeptId(String behDeptId) {
        this.behDeptId = behDeptId;
    }

    public String getBehDeptName() {
        return behDeptName;
    }

    public void setBehDeptName(String behDeptName) {
        this.behDeptName = behDeptName;
    }

    public String getBedCode() {
        return bedCode;
    }

    public void setBedCode(String bedCode) {
        this.bedCode = bedCode;
    }

    public String getBedName() {
        return bedName;
    }

    public void setBedName(String bedName) {
        this.bedName = bedName;
    }

    public String getInsuranceName() {
        return insuranceName;
    }

    public void setInsuranceName(String insuranceName) {
        this.insuranceName = insuranceName;
    }

    public String getJobType() {
        return jobType;
    }

    public void setJobType(String jobType) {
        this.jobType = jobType;
    }

    public Date getBehospitalDate() {
        return behospitalDate;
    }

    public void setBehospitalDate(Date behospitalDate) {
        this.behospitalDate = behospitalDate;
    }

    public Date getLeaveHospitalDate() {
        return leaveHospitalDate;
    }

    public void setLeaveHospitalDate(Date leaveHospitalDate) {
        this.leaveHospitalDate = leaveHospitalDate;
    }

    public String getDiagnoseIcd() {
        return diagnoseIcd;
    }

    public void setDiagnoseIcd(String diagnoseIcd) {
        this.diagnoseIcd = diagnoseIcd;
    }

    public String getDiagnose() {
        return diagnose;
    }

    public void setDiagnose(String diagnose) {
        this.diagnose = diagnose;
    }

    public String getBehDoctorId() {
        return behDoctorId;
    }

    public void setBehDoctorId(String behDoctorId) {
        this.behDoctorId = behDoctorId;
    }

    public String getBehDoctorName() {
        return behDoctorName;
    }

    public void setBehDoctorName(String behDoctorName) {
        this.behDoctorName = behDoctorName;
    }

    public String getDoctorId() {
        return doctorId;
    }

    public void setDoctorId(String doctorId) {
        this.doctorId = doctorId;
    }

    public String getDoctorName() {
        return doctorName;
    }

    public void setDoctorName(String doctorName) {
        this.doctorName = doctorName;
    }

    public String getDirectorDoctorId() {
        return directorDoctorId;
    }

    public void setDirectorDoctorId(String directorDoctorId) {
        this.directorDoctorId = directorDoctorId;
    }

    public String getDirectorDoctorName() {
        return directorDoctorName;
    }

    public void setDirectorDoctorName(String directorDoctorName) {
        this.directorDoctorName = directorDoctorName;
    }

    public String getIsPlacefile() {
        return isPlacefile;
    }

    public void setIsPlacefile(String isPlacefile) {
        this.isPlacefile = isPlacefile;
    }

    public Date getPlacefileDate() {
        return placefileDate;
    }

    public void setPlacefileDate(Date placefileDate) {
        this.placefileDate = placefileDate;
    }

    public String getIsDeleted() {
        return isDeleted;
    }

    public void setIsDeleted(String isDeleted) {
        this.isDeleted = isDeleted;
    }

    public Date getGmtCreate() {
        return gmtCreate;
    }

    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    public Date getGmtModified() {
        return gmtModified;
    }

    public void setGmtModified(Date gmtModified) {
        this.gmtModified = gmtModified;
    }

    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public String getModifier() {
        return modifier;
    }

    public void setModifier(String modifier) {
        this.modifier = modifier;
    }

    @Override
    public String toString() {
        return "MedBehospitalInfo{" +
                "behospitalCode=" + behospitalCode +
                ", hospitalId=" + hospitalId +
                ", name=" + name +
                ", sex=" + sex +
                ", birthday=" + birthday +
                ", fileCode=" + fileCode +
                ", qcTypeId=" + qcTypeId +
                ", wardCode=" + wardCode +
                ", wardName=" + wardName +
                ", behDeptId=" + behDeptId +
                ", behDeptName=" + behDeptName +
                ", bedCode=" + bedCode +
                ", bedName=" + bedName +
                ", insuranceName=" + insuranceName +
                ", jobType=" + jobType +
                ", behospitalDate=" + behospitalDate +
                ", leaveHospitalDate=" + leaveHospitalDate +
                ", diagnoseIcd=" + diagnoseIcd +
                ", diagnose=" + diagnose +
                ", behDoctorId=" + behDoctorId +
                ", behDoctorName=" + behDoctorName +
                ", doctorId=" + doctorId +
                ", doctorName=" + doctorName +
                ", directorDoctorId=" + directorDoctorId +
                ", directorDoctorName=" + directorDoctorName +
                ", isDeleted=" + isDeleted +
                ", gmtCreate=" + gmtCreate +
                ", gmtModified=" + gmtModified +
                ", creator=" + creator +
                ", modifier=" + modifier +
                "}";
    }
}
